> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Integrate custom models

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'POST' \
    'https://api.coaxial.ai/llm_integration/custom_model' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>' \
    -H 'Content-Type: application/json' \
    -d '{
    "model_name": <custom_model_name>
  }'
  ```

  ```python python theme={null}
  import coaxial
  from coaxial.models import IntegrateCustomModelRequest
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)
  integrate_custom_model_request = IntegrateCustomModelRequest(model_name=<custom_model_name>)

  try:
      api_response = coaxial_api.model_integration.integrate_custom_model(integrate_custom_model_request)
      print("The response of ModelIntegrationApi->integrate_custom_model:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling ModelIntegrationApi->integrate_custom_model: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "model": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "model_name": "string",
      "integration_type": "string",
      "coaxial_id": <coaxial_model_id>
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml post /llm_integration/custom_model
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /llm_integration/custom_model:
    post:
      tags:
        - model_integration
      summary: Integrate custom models
      operationId: integrate_custom_model
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/integrate_custom_model_request'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/integrate_custom_model_response'
          description: The model information (including its id)
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - Authorization: []
components:
  schemas:
    integrate_custom_model_request:
      properties:
        model_name:
          title: Model Name
          type: string
      required:
        - model_name
      title: integrate_custom_model_request
      type: object
    integrate_custom_model_response:
      properties:
        model:
          $ref: '#/components/schemas/Model'
      required:
        - model
      title: integrate_custom_model_response
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Model:
      additionalProperties: false
      description: The LLM model
      properties:
        coaxial_id:
          title: Coaxial Id
          type: string
        id:
          format: uuid
          title: Id
          type: string
        integration_type:
          maxLength: 50
          title: Integration Type
          type: string
        model_name:
          maxLength: 50
          title: Model Name
          type: string
      required:
        - model_name
        - integration_type
        - coaxial_id
      title: Model
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````